Subject: bug#39813: Running Guix in a Virtual Machine - says 1 GB RAM is enough, but it isn't for guix pull

From: Csepp <[email-masked]>
Date: Wed, 13 Jul 2022 18:58:58 +0200

Maxim Cournoyer <[email-masked]> writes:

> Hi Danny,
>
> Danny Milosavljevic <[email-masked]> writes:
>
>> Hi,
>>
>> I just got a report that with Guix in a virtual Machine (like described in the
>> manual in 8.16), guix pull does not actually work[1] with 1 GB of RAM.
>> It does work fine with 4 GB of RAM.
>
> I don't see any reference of 1 GiB being enough in our current version
> of the manual.  If you do, please let me know.
>
> Closing for now.
>
> Thanks,
>
> Maxim

I think it's enough if you only use a single core.
If any guix operations goes out of memory, add --cores=1.
So: guix pull --cores=1